/*
 * tmos - dac.c
 * Copyright (C) 2010  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * Tiny RT DAC support
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Fundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include <tmos/kernel.h>
#include <tmos/trt.h>
#include <tmos/dac.h>
#include <tmos/jiffies.h>

#define DAC_COUNT CONFIG_TRT_DAC_COUNT

void trt_dac_write(void) __reentrant
{
	taddr_t i;

	for (i = 0; i < DAC_COUNT; i++)
		dac_write(i, trt_read_reg(CONFIG_TRT_DAC_INPUTBASE + i));
}
